# -*- encoding: utf-8 -*-
# stub: fmrest 0.17.1 ruby lib

Gem::Specification.new do |s|
  s.name = "fmrest".freeze
  s.version = "0.17.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Pedro Carbajal".freeze]
  s.date = "2021-08-29"
  s.description = "fmrest is just a wrapper for two other gems: fmrest-core and fmrest-spyke.".freeze
  s.email = ["pedro_c@beezwax.net".freeze]
  s.homepage = "https://github.com/beezwax/fmrest-ruby".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "=======================================\n Notes on upgrading from fmrest < 0.15\n=======================================\n\nThere's a breaking change in the way the `.query` method behaves when chained.\n\nPreviously it would add new conditions as a logical OR in relation to\nalready set ones, whereas now by default it adds new conditions as a logical\nAND relative to existing ones. To keep the old behavior you can use `.or.query`\nin chained query calls instead. See documentation on querying for details.\n\n=======================================\n Notes on upgrading from fmrest < 0.13\n=======================================\n\nFrom v0.13 onward fmrest becomes a wrapper for two other gems: fmrest-core and\nfmrest-spyke.\n\nIf you're using FmRest::Spyke::Base in your project then you no\nlonger need to explicitly include spyke in your Gemfile, as it's now a hard\ndependency of fmrest-spyke.\n\nIf you're not using FmRest::Spyke::Base and just want to use the Faraday\nconnection you may want to change your Gemfile to depend on fmrest-core\ninstead, to avoid including spyke as an useless dependency in your project.\n\n=======================================\n Notes on upgrading from fmrest < 0.12\n=======================================\n\nThere's a small breaking change in fmrest 0.12 that will most likely not affect\nyou, but you may want to be aware of:\n\nPrevious to this version the record ID on an FmRest::Spyke::Base instance could\nbe set with `id=`. This caused problems in cases where a FileMaker layout had a\nfield named `id`, so `id=` got renamed to `__record_id=`. Setting the record ID\nby hand however isn't something useful or that should be done at all, so it's\nvery unlikely that this change will affect your existing code at all.\n\nThanks for using fmrest-ruby!\n\n".freeze
  s.rubygems_version = "3.2.22".freeze
  s.summary = "FileMaker Data API client".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<fmrest-core>.freeze, ["= 0.17.1"])
    s.add_runtime_dependency(%q<fmrest-spyke>.freeze, ["= 0.17.1"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 2.2.0"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<webmock>.freeze, [">= 0"])
    s.add_development_dependency(%q<rexml>.freeze, [">= 0"])
    s.add_development_dependency(%q<pry-byebug>.freeze, [">= 0"])
    s.add_development_dependency(%q<yard>.freeze, [">= 0"])
    s.add_development_dependency(%q<yard-activesupport-concern>.freeze, [">= 0"])
    s.add_development_dependency(%q<activerecord>.freeze, ["~> 6.0"])
    s.add_development_dependency(%q<sqlite3>.freeze, ["~> 1.4.0"])
    s.add_development_dependency(%q<mock_redis>.freeze, [">= 0"])
    s.add_development_dependency(%q<moneta>.freeze, [">= 0"])
  else
    s.add_dependency(%q<fmrest-core>.freeze, ["= 0.17.1"])
    s.add_dependency(%q<fmrest-spyke>.freeze, ["= 0.17.1"])
    s.add_dependency(%q<bundler>.freeze, ["~> 2.2.0"])
    s.add_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_dependency(%q<webmock>.freeze, [">= 0"])
    s.add_dependency(%q<rexml>.freeze, [">= 0"])
    s.add_dependency(%q<pry-byebug>.freeze, [">= 0"])
    s.add_dependency(%q<yard>.freeze, [">= 0"])
    s.add_dependency(%q<yard-activesupport-concern>.freeze, [">= 0"])
    s.add_dependency(%q<activerecord>.freeze, ["~> 6.0"])
    s.add_dependency(%q<sqlite3>.freeze, ["~> 1.4.0"])
    s.add_dependency(%q<mock_redis>.freeze, [">= 0"])
    s.add_dependency(%q<moneta>.freeze, [">= 0"])
  end
end
